//<#!@READ-ONLY-SECTION-START@!#>
/*
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of VulcanoApp generated by C++ Generator for SystemC/TLM2
 */

#include "cfm_vulcanoapp_top.h"
using namespace std;
using namespace sc_core;
using namespace cf_dt;
using namespace cf_pk;
using namespace cf_core;

#ifdef COFS_MODEL_TYPE_APPLICATION_MODELING
int sc_main(int argc, char *argv[])
{

	// VulcanoApp pre-simulation section
	cfm_vulcanoapp_cb_pre_simulation();

	// VulcanoApp instantiation
	cfm_vulcanoapp* cfmi_VulcanoApp = new cfm_vulcanoapp("VulcanoApp");

	// start simulation
	cf_start();

	// shutdown simulator
	cf_stop();
	delete cfmi_VulcanoApp;

	return EXIT_SUCCESS;
}
#endif // COFS_MODEL_TYPE_APPLICATION_MODELING

//<#!@READ-ONLY-SECTION-END@!#>